| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
List of all members
Digikam::ExifMetaEngineMergeHelper Class Reference
Inheritance diagram for Digikam::ExifMetaEngineMergeHelper:

## Additional Inherited Members
Public Member Functions inherited from Digikam::MetaEngineMergeHelper< Exiv2::ExifData, Exiv2::ExifKey, QLatin1String >
void | exclusiveMerge (const Exiv2::ExifData &src, Exiv2::ExifData &dest)
| Merge two (Exif,IPTC,Xmp) Data packages, the result is stored in dest.
void | mergeAll (const Exiv2::ExifData &src, Exiv2::ExifData &dest)
| Merge two (Exif,IPTC,Xmp) Data packages, where the result is stored in dest and fields from src take precedence over existing data from dest.
void | mergeFields (const Exiv2::ExifData &src, Exiv2::ExifData &dest)
| Merge two (Exif,IPTC,Xmp) Data packages, the result is stored in dest.
MetaEngineMergeHelper & | operator<< (const QLatin1String &key)
Public Attributes inherited from Digikam::MetaEngineMergeHelper< Exiv2::ExifData, Exiv2::ExifKey, QLatin1String >
QList< QLatin1String > | keys